Bug 811460 - [abrt] eiciel-0.9.8.1-1.fc16: glibc detected: free(): invalid pointer / signal 6 (SIGABRT)
[abrt] eiciel-0.9.8.1-1.fc16: glibc detected: free(): invalid pointer / signa...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: eiciel (Show other bugs)
16
All Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Michael Schwendt
Fedora Extras Quality Assurance
abrt_hash:0cedb5a652956d825f83a6da106...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-11 03:01 EDT by Štefan Gurský
Modified: 2012-04-21 23:41 EDT (History)
1 user (show)

See Also:
Fixed In Version: eiciel-0.9.8.1-5.fc16
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-04-21 23:41:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: maps (42.92 KB, text/plain)
2012-04-11 03:01 EDT, Štefan Gurský
no flags Details
File: dso_list (7.98 KB, text/plain)
2012-04-11 03:01 EDT, Štefan Gurský
no flags Details
File: backtrace (57.03 KB, text/plain)
2012-04-11 03:01 EDT, Štefan Gurský
no flags Details

  None (edit)
Description Štefan Gurský 2012-04-11 03:01:05 EDT
libreport version: 2.0.8
abrt_version:   2.0.7
backtrace_rating: 4
cmdline:        eiciel
crash_function: __GI_raise
executable:     /usr/bin/eiciel
kernel:         3.3.1-3.fc16.x86_64
pid:            17942
pwd:            /home/stevko
reason:         Process /usr/bin/eiciel was killed by signal 6 (SIGABRT)
time:           St 11. apríl 2012, 01:25:40 CEST
uid:            1000
username:       stevko
var_log_messages: Apr 11 01:25:40 napo abrt[17960]: Saved core dump of pid 17942 (/usr/bin/eiciel) to /var/spool/abrt/ccpp-2012-04-11-01:25:40-17942 (84074496 bytes)
xsession_errors: 

backtrace:      Text file, 58394 bytes
dso_list:       Text file, 8169 bytes
maps:           Text file, 43953 bytes

build_ids:
:4d5437cf71ea3e4bac1c445da58ca7897d509d15
:578e66700318d8cec8e5f03778c434743a55e153
:dc998e8c1e1dc44c684b9b86e753945a868e134a
:64b8a4fbdc97ada5423e1434ae918fca5287f617
:fd8a00c88eb1fd6872e45001f9ed4e5c6172995e
:ec72f897bbac2f33aadee57e01b7e01bbed4c534
:aa733447f84020c94a66814e501a36e248cbb43d
:025efbbf9bc9ea88c1206524c4c2f359a07cfdd1
:e3c88cb9ea428bd61f4064dbd53acae2d396a1ec
:719a85c49c612de86619fed98146f316432aee92
:0e88cd862656d8e8015e4541d60b95fa23f0ac98
:1c6a95451ee19617be5abea3d121f0226d21ddda
:83ecebde12fbdca06b42acb8020b6bd3add804ea
:5e8c36ca13a4af14fa6b1b45a0dbfb43ed6aed6e
:20e57e75d5566ba8d0fd5fb3a767bd5bf32900bc
:2639b5594fe4d7897db63ecd1ebb9681438317a8
:3ba5302e34546a45e9a85ac3429e7bc6ed624011
:a594ab36356a9b6dc6ecf25a6124463ccbfd0a29
:124bfd663f5587288e6e0da8497fb4153469e657
:4ea09f2cc6fa21696beac3f95cdd4160cfddd35f
:5954d7bfe38b223be907cd2041fd537129ba4254
:e2e67b3ae2579e1667b73ad385f61552931024e9
:f0d50e3af2dfee021a327fb85a993a2312a98145
:638db099ff5fb986d1a092629d1bb1dca5be4904
:e5429e0905bedecc534b057783916ba43e06a66e
:5393d882ce329cabe4ddf6bedaef1cc906664889
:36a149d1e2c29890b616402f6bc5e3f69ca2738e
:6788b943089846e98f7dc9cdb5dca63924909b25
:b8a88667f602897aa9142d9b72c451bef359e55a
:aaf62304b0fc10611d35b4f56005479d4c58868d
:c8a4e40c84c2f52e78c64d31efc0191c565a9049
:0f0c9eed63ed279ceb0aef109eff8bcbb351e4bb
:400444fb368f79b54959b083f449a1497bf71c13
:2af5bc573b18690d99c346bf4a8de5453f05e16d
:fbca6fdd95d7dbd4b9d15858e7b3474bcbde5d1f
:163b323da65b708418226eb5fa8b057c731d1475
:6ecc3efaedf849a17c30a67fe15b4dacca1bd981
:0911ea7c180d733724f89037b8e8a34e64024aec
:f9fea7527e0deebd694acc251008975312a3f74a
:ccadad4ec7dab3bb6abc23f9d4cdf53ff01cb235
:aaf7ed41612348bd1141db06cadd428244aa6ea5
:e60ae8062b44e0d758b5f92c8f9958a06236179b
:2ee563c5c7f5f8b1f61b7952ec2c78fe8a7f3eec
:4b4285058f7f6b39b7e7c45df83fd36c6833bfe4
:4953d1f613914126bccceb3cb96386647ffba9df
:dacf32a9a2f2b5077ba944e7b835cca6f637f78f
:1e0de72c7f10f33e0ee489a9a32c4e4f01902580
:4c842320387ff7f6f91b7842b223c16518be909f
:6a7541a2ec34589cc35300d8fc86d7f640b8ce42
:52fa753bd268ec93f92a77f6f08b6a51e9d46e3f
:edebfad67bdac472272d049dc7ec302f47b02f32
:5e62740a807edc906d7aafc075400569f02ae764
:75eaece6e0d1e075520cdfad5c398fdab4370846
:ee2f04900ae1f07517d91eba300ef385fccab1b8
:a638ccc3535e307dfbe8338df04ee414b42a606c
:02c8ed246c28d7695da23672f9ad0ec8122c0aef
:be507c791e34415e8f42f0e6030c889b2895cf9a
:66b8a549e5dfccb29eee911c9a1f987d05f12613
:07470201df55a5254027d05fa4dc509b10f2986a
:e77b2ca7f312339db3ef1e1ee1a4cac1d3fc1aea
:0d039828591f6fe108db1d5458ca340cbfc4ff6d
:3bbe4d98714c66cda2944cd39900eea5d348df18
:e2d68a0ee0872365dcc8c6640b7cd7b94c8276f2
:f9aa72f20a1a7465d733b6abe82a861b96bb0fd6
:b9d3a4213a482d034bebc7dc1ed2901a734a894d
:87af0ff2815bf41b5c5889b916881c662ddd2569
:7994f114cf7189e482f2665fae8e351ed8bc05e3
:9ea81971c14b711655ced0a734db062ab7c4eec7
:b0a2d0b4c09d819887ec7d711c8cf3977a074c4f
:1a212c7f1515542b310ba92f6109efc9b5bf2b6e
:af7badfd3c822b1d1bbc86f482b7af7da06faa04
:c2d49d72ec1a1e68b39c3724693f83f44d80a259
:1406558950ff100eb0320a325b3ea7961ba1a775
:bf404f1f16ae38c405a644f7f2a5a3de02e5d158
:2670385f49fb9f120f7cf843f211e3c620da8632
:545fac2346ca24589041213956b7f22f7e91c139
:5cb5f8da286abd58aeab3bd6676e661d52ec2b5d
:399acd228adedc75aae4d2e35d1e7c26aa7089f3
:a518a8b1b5c3e80dee813df05e951d205d6ac48c
:9fd35565043bc57e1d8bf70810b7c6b402a9be93
:39294193f046cf15442542705526228c60d70a6e

environ:
:XDG_VTNR=8
:XDG_SESSION_ID=12
:HOSTNAME=napo
:GPG_AGENT_INFO=/tmp/keyring-r4ScXd/gpg:0:1
:TERM=xterm
:SHELL=/bin/bash
:HISTSIZE=1000
:XDG_SESSION_COOKIE=64a1239f175c36dc7ad74ea40000000d-1334064427.118738-1703700426
:GJS_DEBUG_OUTPUT=stderr
:WINDOWID=37748742
:GNOME_KEYRING_CONTROL=/tmp/keyring-r4ScXd
:QTDIR=/usr/lib64/qt-3.3
:QTINC=/usr/lib64/qt-3.3/include
:'GJS_DEBUG_TOPICS=JS ERROR;JS LOG'
:USER=stevko
:LS_COLORS=rs=0:di=01;34:ln=01;36:mh=00:pi=40;33:so=01;35:do=01;35:bd=40;33;01:cd=40;33;01:or=40;31;01:mi=01;05;37;41:su=37;41:sg=30;43:ca=30;41:tw=30;42:ow=34;42:st=37;44:ex=01;32:*.tar=01;31:*.tgz=01;31:*.arj=01;31:*.taz=01;31:*.lzh=01;31:*.lzma=01;31:*.tlz=01;31:*.txz=01;31:*.zip=01;31:*.z=01;31:*.Z=01;31:*.dz=01;31:*.gz=01;31:*.lz=01;31:*.xz=01;31:*.bz2=01;31:*.tbz=01;31:*.tbz2=01;31:*.bz=01;31:*.tz=01;31:*.deb=01;31:*.rpm=01;31:*.jar=01;31:*.war=01;31:*.ear=01;31:*.sar=01;31:*.rar=01;31:*.ace=01;31:*.zoo=01;31:*.cpio=01;31:*.7z=01;31:*.rz=01;31:*.jpg=01;35:*.jpeg=01;35:*.gif=01;35:*.bmp=01;35:*.pbm=01;35:*.pgm=01;35:*.ppm=01;35:*.tga=01;35:*.xbm=01;35:*.xpm=01;35:*.tif=01;35:*.tiff=01;35:*.png=01;35:*.svg=01;35:*.svgz=01;35:*.mng=01;35:*.pcx=01;35:*.mov=01;35:*.mpg=01;35:*.mpeg=01;35:*.m2v=01;35:*.mkv=01;35:*.ogm=01;35:*.mp4=01;35:*.m4v=01;35:*.mp4v=01;35:*.vob=01;35:*.qt=01;35:*.nuv=01;35:*.wmv=01;35:*.asf=01;35:*.rm=01;35:*.rmvb=01;35:*.flc=01;35:*.avi=01;35:*.fli=01;35:*.flv=01;35:*.gl=01;35:*.dl=01;35:*.xcf=01;35:*.xwd=01;35:*.yuv=01;35:*.cgm=01;35:*.emf=01;35:*.axv=01;35:*.anx=01;35:*.ogv=01;35:*.ogx=01;35:*.aac=01;36:*.au=01;36:*.flac=01;36:*.mid=01;36:*.midi=01;36:*.mka=01;36:*.mp3=01;36:*.mpc=01;36:*.ogg=01;36:*.ra=01;36:*.wav=01;36:*.axa=01;36:*.oga=01;36:*.spx=01;36:*.xspf=01;36:*.pdf=00;33:*.ps=00;33:*.ps.gz=00;33:*.txt=00;33:*.patch=00;33:*.diff=00;33:*.log=00;33:*.tex=00;33:*.xls=00;33:*.xlsx=00;33:*.ppt=00;33:*.pptx=00;33:*.rtf=00;33:*.doc=00;33:*.docx=00;33:*.odt=00;33:*.ods=00;33:*.odp=00;33:*.xml=00;33:*.epub=00;33:*.abw=00;33:*.html=00;33:*.wpd=00;33:
:SSH_AUTH_SOCK=/tmp/keyring-r4ScXd/ssh
:USERNAME=stevko
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/11233,unix/unix:/tmp/.ICE-unix/11233
:PATH=/usr/lib64/qt-3.3/bin:/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/sbin:/home/stevko/.local/bin:/home/stevko/bin
:MAIL=/var/spool/mail/stevko
:DESKTOP_SESSION=gnome
:PWD=/home/stevko
:EDITOR=/usr/bin/joe
:GNOME_KEYRING_PID=11228
:LANG=sk_SK.utf8
:KDE_IS_PRELINKED=1
:GDM_LANG=sk_SK.utf8
:KDEDIRS=/usr
:GDMSESSION=gnome
:HISTCONTROL=ignoredups
:XDG_SEAT=seat0
:HOME=/home/stevko
:SHLVL=2
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:LOGNAME=stevko
:QTLIB=/usr/lib64/qt-3.3/lib
:CVS_RSH=ssh
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-vbXZgiO4Km,guid=7439d3616f9270ba2fc816e700002b4d
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=8
:XDG_RUNTIME_DIR=/run/user/stevko
:DISPLAY=:0.0
:COLORTERM=gnome-terminal
:XAUTHORITY=/var/run/gdm/auth-for-stevko-GoNZZs/database
:_=/usr/bin/eiciel
Comment 1 Štefan Gurský 2012-04-11 03:01:12 EDT
Created attachment 576683 [details]
File: maps
Comment 2 Štefan Gurský 2012-04-11 03:01:14 EDT
Created attachment 576684 [details]
File: dso_list
Comment 3 Štefan Gurský 2012-04-11 03:01:17 EDT
Created attachment 576685 [details]
File: backtrace
Comment 4 Michael Schwendt 2012-04-11 06:41:32 EDT
Could you tell how to reproduce the crash?
Comment 5 Michael Schwendt 2012-04-11 10:57:43 EDT
Something in the backtrace might be related to what you've done prior to the crash:

   string_ = "Adres\303\241r alebo s\303\272bor neexistuje"}}

"Adresar alebo subor neexistuje" seems to translate to "No such file or directory" or the more direct "File or directory doesn't exist".
Comment 6 Michael Schwendt 2012-04-11 11:20:43 EDT
Ah, skimming over the source I think I know what you did. Fixing...
Comment 7 Štefan Gurský 2012-04-11 11:21:32 EDT
I cannot reproduce the crash. I ran eiciel from gnome terminal ($ eiciel) I opened file, looked at acl, opened another file and I believe that was when it crashed. I looked at files in /usr/bin (I think I looked at /usr/bin/screen (because it is setgid - does eiciel show that?) and at /usr/bin/texlua (because ls -l said it was lrwxrwxrwx. and I did not understand why)).
Comment 8 Fedora Update System 2012-04-11 11:39:34 EDT
eiciel-0.9.8.1-5.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/eiciel-0.9.8.1-5.fc16
Comment 9 Michael Schwendt 2012-04-11 11:47:01 EDT
The steps to reproduce the crash within Fedora 16 and GNOME are:

  1. start eiciel
  2. click "Open"
  3. select an _existing_ file
  4. click "OK" to leave file chooser dialog
  5. click "Open"
  6. don't select anything, but keep the default, which is "Places > Recently Used"
  7. click "OK" to leave file chooser dialog
  8. *** glibc detected *** eiciel: double free or corruption (fasttop): 0x0000000001d08680 ***
Comment 10 Fedora Update System 2012-04-12 07:26:59 EDT
Package eiciel-0.9.8.1-5.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing eiciel-0.9.8.1-5.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-5732/eiciel-0.9.8.1-5.fc16
then log in and leave karma (feedback).
Comment 11 Fedora Update System 2012-04-21 23:41:23 EDT
eiciel-0.9.8.1-5.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.